#include <p16f690.inc>
	GLOBAL TMR0_Config
TMR0_SECTION0 CODE
TMR0_Config
;
	BANKSEL OPTION_REG
	BCF OPTION_REG,T0CS	;b5 Clock Source Select bit (1=RA2/T0CKI,0=FOSC/4)
	BCF OPTION_REG,T0SE	;b4 RA2/T0CKI Edge Select bit (1= Inc on high-to-low, 0=Inc on low-to-high)
	BSF OPTION_REG,PSA	;b3 Prescaler Assignment bit (1=WDT, 0=T0)
	;bit 2:0 PS2:PS0: Prescaler Rate Select bits
		;000	1:2
		;001	1:4
		;010	1:8
		;011	1:16
		;100	1:32
		;101	1:64
		;110	1:128
		;111	1:256
	BCF OPTION_REG,PS2	;b2 Prescaler Rate Select bit 2
	BCF OPTION_REG,PS1	;b1 Prescaler Rate Select bit 1
	BCF OPTION_REG,PS0	;b0 Prescaler Rate Select bit 0
;	
	;MOVLW 0
	;MOVWF TMR0
	RETURN
;
	END